>From f1662639cfd4c2817ae19f1f97239928ab96646c Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Sat, 21 Feb 2009 22:36:29 +0100
Subject: [PATCH] change fake-file-reload from sec to millisec.

---
 modules/codec/fake.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/codec/fake.c b/modules/codec/fake.c
index 0696eb1..426d9ec 100644
--- a/modules/codec/fake.c
+++ b/modules/codec/fake.c
@@ -55,7 +55,7 @@ static int FakeCallback( vlc_object_t *, char const *,
     "Path of the image file for fake input." )
 #define RELOAD_TEXT N_("Reload image file")
 #define RELOAD_LONGTEXT N_( \
-    "Reload image file every n seconds." )
+    "Reload image file every n milliseconds." )
 #define WIDTH_TEXT N_("Video width")
 #define WIDTH_LONGTEXT N_( \
     "Output video width." )
@@ -163,7 +163,7 @@ static int OpenDecoder( vlc_object_t *p_this )
     if( val.i_int > 0)
     {
         p_dec->p_sys->b_reload = true;
-        p_dec->p_sys->i_reload = (mtime_t)(val.i_int * 1000000);
+        p_dec->p_sys->i_reload = (mtime_t)(val.i_int * 1000);
         p_dec->p_sys->i_next   = (mtime_t)(p_dec->p_sys->i_reload + mdate());
     }
     var_AddCallback( p_dec, "fake-file-reload", FakeCallback , p_dec );
@@ -434,7 +434,7 @@ static int FakeCallback( vlc_object_t *p_this, char const *psz_var,
         if( newval.i_int > 0)
         {
             p_dec->p_sys->b_reload = true;
-            p_dec->p_sys->i_reload = (mtime_t)(newval.i_int * 1000000);
+            p_dec->p_sys->i_reload = (mtime_t)(newval.i_int * 1000);
             p_dec->p_sys->i_next   = (mtime_t)(p_dec->p_sys->i_reload + mdate());
         }
         else
-- 
1.5.2.5

